// Dr Benoit Chaperot 2025, inspired by AI Junkie, Mat Buckland 2002

using TMPro;
using UnityEngine;

[RequireComponent(typeof(TMP_Text))]
public class ComputeFPS : MonoBehaviour
{
	float time = 0f;
	int count = 0;

	void Update()
	{
		count++;
		time += Time.unscaledDeltaTime;
		TMP_Text fps = gameObject.GetComponent<TMP_Text>();

		if (fps && time > 1f)
		{
			fps.text = $"{count} FPS";
			time -= 1f;
			count = 0;
		}
	}
}